summaryrefslogtreecommitdiffstats
path: root/audio/puddletag
diff options
context:
space:
mode:
author Bill Kirkpatrick <bkirkp@gmail.com>2010-12-10 22:32:10 -0200
committer Robby Workman <rworkman@slackbuilds.org>2010-12-12 15:47:14 -0600
commitace107b57bef65dc48227de734db5dfaa79891da (patch)
treee3bf28e2a4fa26424395389dfc72e10691575183 /audio/puddletag
parent129630bb894f4ecc8dccf1ee117259b5cd8876e9 (diff)
downloadslackbuilds-ace107b57bef65dc48227de734db5dfaa79891da.tar.gz
slackbuilds-ace107b57bef65dc48227de734db5dfaa79891da.tar.xz
audio/puddletag: Added (audio tag editor)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'audio/puddletag')
-rw-r--r--audio/puddletag/README9
-rw-r--r--audio/puddletag/doinst.sh4
-rw-r--r--audio/puddletag/puddletag.SlackBuild68
-rw-r--r--audio/puddletag/puddletag.info10
-rw-r--r--audio/puddletag/slack-desc19
5 files changed, 110 insertions, 0 deletions
diff --git a/audio/puddletag/README b/audio/puddletag/README
new file mode 100644
index 0000000000..1e3115f67e
--- /dev/null
+++ b/audio/puddletag/README
@@ -0,0 +1,9 @@
+Puddletag is a audio tag editor for GNU/Linux similar to the Windows
+program Mp3tag. Unlike most taggers for GNU/Linux, it uses a spreadsheet-
+like layout so that all the tags you want to edit by hand are visible and
+easily editable.
+
+This requires pyparsing, mutagen, configobj and python-musicbrainz2.
+
+Optional / Recommended packages are: gst-ffmpeg, gst-plugins-bad,
+gst-plugins-ugly, gst-python and quodlibet.
diff --git a/audio/puddletag/doinst.sh b/audio/puddletag/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/audio/puddletag/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/audio/puddletag/puddletag.SlackBuild b/audio/puddletag/puddletag.SlackBuild
new file mode 100644
index 0000000000..6cbd5e4be5
--- /dev/null
+++ b/audio/puddletag/puddletag.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for puddletag
+
+# Written by Bill Kirkpatrick <bkirkp@gmail.com>
+
+PRGNAM=puddletag
+VERSION=${VERSION:-0.9.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a HACKING LICENSE NEWS README THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/puddletag/puddletag.info b/audio/puddletag/puddletag.info
new file mode 100644
index 0000000000..08ee45d451
--- /dev/null
+++ b/audio/puddletag/puddletag.info
@@ -0,0 +1,10 @@
+PRGNAM="puddletag"
+VERSION="0.9.6"
+HOMEPAGE="http://puddletag.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/puddletag/puddletag-0.9.6.tar.gz"
+MD5SUM="fae87bdeb3c3cf74b7f4ba3130f2ffa0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Bill Kirkpatrick"
+EMAIL="bkirkp@gmail.com"
+APPROVED="Niels Horn"
diff --git a/audio/puddletag/slack-desc b/audio/puddletag/slack-desc
new file mode 100644
index 0000000000..c891c6ef74
--- /dev/null
+++ b/audio/puddletag/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+puddletag: puddletag (audio tag editor)
+puddletag:
+puddletag: puddletag is an audio tag editor for GNU/Linux similar to the Windows
+puddletag: program Mp3tag. Unlike most taggers for GNU/Linux, it uses a
+puddletag: spreadsheet-like layout so that all the tags you want to edit by hand
+puddletag: are visible and easily editable.
+puddletag:
+puddletag: puddletag home: http://puddletag.sourceforge.net/
+puddletag:
+puddletag:
+puddletag: